Package com.microsoft.sqlserver.jdbc

## Class SQLServerDataColumn

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.SQLServerDataColumn

    public final class SQLServerDataColumn
    extends java.lang.Object

Represents a column of the in-memory data table represented by `SQLServerDataTable`.

### Constructor Summary

Constructors
`SQLServerDataColumn​(java.lang.String columnName, int sqlType)` Constructs a SQLServerDataColumn with the column name and type.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object object)`
`java.lang.String` `getColumnName()` Returns the column name.
`int` `getColumnType()` Returns the column type.
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SQLServerDataColumn

    public SQLServerDataColumn​(java.lang.String columnName,
                               int sqlType)

Constructs a SQLServerDataColumn with the column name and type.

Parameters:
  `columnName` - the name of the column
  `sqlType` - the type of the column

### Method Detail

#### getColumnName

    public java.lang.String getColumnName()

Returns the column name.

Returns:
  the name of the column.

#### getColumnType

    public int getColumnType()

Returns the column type.

Returns:
  the column type.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object object)

Overrides:
  `equals` in class `java.lang.Object`